Account Information v1
Reference for the Account Information v1 endpoints on Roblox.
Base URL: https://accountinformation.roblox.com
Endpoints
Section titled “Endpoints”| Method | Path | Name |
|---|---|---|
GET | /v1/birthdate | getBirthdate |
GET | /v1/description | getDescription |
POST | /v1/description | postDescription |
POST | /v1/email/verify | postEmailVerify |
GET | /v1/gender | getGender |
POST | /v1/gender | postGender |
GET | /v1/metadata | getMetadata |
GET | /v1/phone | getPhone |
POST | /v1/phone | postPhone |
POST | /v1/phone/delete | postPhoneDelete |
POST | /v1/phone/resend | postPhoneResend |
POST | /v1/phone/verify | postPhoneVerify |
GET | /v1/promotion-channels | getPromotionChannels |
POST | /v1/promotion-channels | postPromotionChannels |
GET | /v1/star-code-affiliates | getStarCodeAffiliates |
POST | /v1/star-code-affiliates | postStarCodeAffiliates |
DELETE | /v1/star-code-affiliates | deleteStarCodeAffiliates |
GET | /v1/users/:userId/promotion-channels | getUsersUseridPromotionChannels |
GET | /v1/users/:userId/roblox-badges | getUsersUseridRobloxBadges |
getBirthdate
Section titled “getBirthdate”GET /v1/birthdate
Get the user’s birthdate
Usage
import { fetchApi } from 'rozod';import { getBirthdate } from 'rozod/lib/endpoints/accountinformationv1';
const data = await fetchApi(getBirthdate, undefined);Response
Section titled “Response”| Field | Type | Description |
|---|---|---|
birthMonth | number | |
birthDay | number | |
birthYear | number |
Errors
Section titled “Errors”| Status | Description |
|---|---|
| 400 | 1: User not found. |
| 401 | 0: Authorization has been denied for this request. |
getDescription
Section titled “getDescription”GET /v1/description
Get the user’s description
Usage
import { fetchApi } from 'rozod';import { getDescription } from 'rozod/lib/endpoints/accountinformationv1';
const data = await fetchApi(getDescription, undefined);Response
Section titled “Response”| Field | Type | Description |
|---|---|---|
description | string |
Errors
Section titled “Errors”| Status | Description |
|---|---|
| 400 | 1: User not found. |
| 401 | 0: Authorization has been denied for this request. |
postDescription
Section titled “postDescription”POST /v1/description
Update the user’s description
Usage
import { fetchApi } from 'rozod';import { postDescription } from 'rozod/lib/endpoints/accountinformationv1';
const data = await fetchApi(postDescription, { body: { /* ... */ }});Request Body
Section titled “Request Body”| Field | Type | Description |
|---|---|---|
description | string |
Response
Section titled “Response”| Field | Type | Description |
|---|---|---|
description | string |
Errors
Section titled “Errors”| Status | Description |
|---|---|
| 400 | 1: User not found. |
| 401 | 0: Authorization has been denied for this request. |
| 403 | 0: Token Validation Failed |
| 500 | 0: An unknown error occured. |
| 503 | 3: This feature is currently disabled. Please try again later. |
postEmailVerify
Section titled “postEmailVerify”POST /v1/email/verify
Verify the user’s email address from token
Usage
import { fetchApi } from 'rozod';import { postEmailVerify } from 'rozod/lib/endpoints/accountinformationv1';
const data = await fetchApi(postEmailVerify, { body: { /* ... */ }});Request Body
Section titled “Request Body”| Field | Type | Description |
|---|---|---|
ticket | string |
Response
Section titled “Response”| Field | Type | Description |
|---|---|---|
verifiedUserHatAssetId | number |
Errors
Section titled “Errors”| Status | Description |
|---|---|
| 403 | 0: Token Validation Failed |
getGender
Section titled “getGender”GET /v1/gender
Get the user’s gender
Usage
import { fetchApi } from 'rozod';import { getGender } from 'rozod/lib/endpoints/accountinformationv1';
const data = await fetchApi(getGender, undefined);Response
Section titled “Response”| Field | Type | Description |
|---|---|---|
gender | number |
Errors
Section titled “Errors”| Status | Description |
|---|---|
| 400 | 1: User not found. |
| 401 | 0: Authorization has been denied for this request. |
postGender
Section titled “postGender”POST /v1/gender
Update the user’s gender
Usage
import { fetchApi } from 'rozod';import { postGender } from 'rozod/lib/endpoints/accountinformationv1';
const data = await fetchApi(postGender, { body: { /* ... */ }});Request Body
Section titled “Request Body”| Field | Type | Description |
|---|---|---|
gender | string |
Response
Section titled “Response”Type: unknown
Errors
Section titled “Errors”| Status | Description |
|---|---|
| 400 | 1: User not found. 6: The gender provided is invalid. |
| 401 | 0: Authorization has been denied for this request. |
| 403 | 0: Token Validation Failed |
| 500 | 0: An unknown error occured. |
getMetadata
Section titled “getMetadata”GET /v1/metadata
Get the metadata
Usage
import { fetchApi } from 'rozod';import { getMetadata } from 'rozod/lib/endpoints/accountinformationv1';
const data = await fetchApi(getMetadata, undefined);Response
Section titled “Response”| Field | Type | Description |
|---|---|---|
isAllowedNotificationsEndpointDisabled | boolean | |
isAccountSettingsPolicyEnabled | boolean | |
isPhoneNumberEnabled | boolean | |
MaxUserDescriptionLength | number | |
isUserDescriptionEnabled | boolean | |
isUserBlockEndpointsUpdated | boolean | |
shouldUsePersonaForIdVerification | boolean | |
shouldDisplaySessionManagement | boolean | |
isPasswordRequiredForAgingDown | boolean |
getPhone
Section titled “getPhone”GET /v1/phone
Get Verified Phone Number
Usage
import { fetchApi } from 'rozod';import { getPhone } from 'rozod/lib/endpoints/accountinformationv1';
const data = await fetchApi(getPhone, undefined);Response
Section titled “Response”| Field | Type | Description |
|---|---|---|
countryCode | string | |
prefix | string | |
phone | string | |
isVerified | boolean | |
verificationCodeLength | number | |
canBypassPasswordForPhoneUpdate | boolean |
Errors
Section titled “Errors”| Status | Description |
|---|---|
| 401 | 0: Authorization has been denied for this request. |
| 500 | 0: An unknown error occured. |
postPhone
Section titled “postPhone”POST /v1/phone
Set Phone Number
Usage
import { fetchApi } from 'rozod';import { postPhone } from 'rozod/lib/endpoints/accountinformationv1';
const data = await fetchApi(postPhone, { body: { /* ... */ }});Request Body
Section titled “Request Body”| Field | Type | Description |
|---|---|---|
countryCode | string | |
prefix | string | |
phone | string | |
password | string | |
verificationChannel | string |
Response
Section titled “Response”| Field | Type | Description |
|---|---|---|
verificationChannel | string | |
data | string |
Errors
Section titled “Errors”| Status | Description |
|---|---|
| 400 | 2: Invalid Phone Number 3: Phone Number Already Associated 8: Invalid Phone Number Type |
| 401 | 0: Authorization has been denied for this request. |
| 403 | 0: Token Validation Failed 5: Incorrect Password 10: |
| 429 | 6: Flooded |
| 500 | 0: An unknown error occured. |
| 503 | 1: This feature is currently disabled. Please try again later. |
postPhoneDelete
Section titled “postPhoneDelete”POST /v1/phone/delete
Delete Phone
Usage
import { fetchApi } from 'rozod';import { postPhoneDelete } from 'rozod/lib/endpoints/accountinformationv1';
const data = await fetchApi(postPhoneDelete, { body: { /* ... */ }});Request Body
Section titled “Request Body”| Field | Type | Description |
|---|---|---|
countryCode | string | |
prefix | string | |
phone | string | |
password | string | |
verificationChannel | string |
Response
Section titled “Response”Type: unknown
Errors
Section titled “Errors”| Status | Description |
|---|---|
| 401 | 0: Authorization has been denied for this request. |
| 403 | 0: Token Validation Failed 5: Incorrect Password |
| 429 | 6: Flooded |
| 500 | 0: An unknown error occured. |
| 503 | 1: This feature is currently disabled. Please try again later. |
postPhoneResend
Section titled “postPhoneResend”POST /v1/phone/resend
Resend Phone code
Usage
import { fetchApi } from 'rozod';import { postPhoneResend } from 'rozod/lib/endpoints/accountinformationv1';
const data = await fetchApi(postPhoneResend, { body: { /* ... */ }});Request Body
Section titled “Request Body”Type: unknown
Response
Section titled “Response”Type: unknown
Errors
Section titled “Errors”| Status | Description |
|---|---|
| 401 | 0: Authorization has been denied for this request. |
| 403 | 0: Token Validation Failed |
| 429 | 6: Flooded |
| 500 | 0: An unknown error occured. |
| 503 | 1: This feature is currently disabled. Please try again later. |
postPhoneVerify
Section titled “postPhoneVerify”POST /v1/phone/verify
Verify Phone
Usage
import { fetchApi } from 'rozod';import { postPhoneVerify } from 'rozod/lib/endpoints/accountinformationv1';
const data = await fetchApi(postPhoneVerify, { body: { /* ... */ }});Request Body
Section titled “Request Body”| Field | Type | Description |
|---|---|---|
code | string |
Response
Section titled “Response”Type: unknown
Errors
Section titled “Errors”| Status | Description |
|---|---|
| 400 | 2: Invalid Phone Number 3: Phone Number Already Associated 7: Invalid Code |
| 401 | 0: Authorization has been denied for this request. |
| 403 | 0: Token Validation Failed |
| 429 | 6: Flooded |
| 500 | 0: An unknown error occured. |
| 503 | 1: This feature is currently disabled. Please try again later. |
getPromotionChannels
Section titled “getPromotionChannels”GET /v1/promotion-channels
Get the user’s promotion channels
Usage
import { fetchApi } from 'rozod';import { getPromotionChannels } from 'rozod/lib/endpoints/accountinformationv1';
const data = await fetchApi(getPromotionChannels, { alwaysReturnUrls: /* boolean? */, filterLink: /* boolean? */, onlyShortenTwitter: /* boolean? = true */});Parameters
Section titled “Parameters”| Name | Type | Required | Description |
|---|---|---|---|
alwaysReturnUrls | boolean? | No | Whether all promotion channel links should be returned as full URLs. |
filterLink | boolean? | No | Whether all promotion channel links should be filtered. |
onlyShortenTwitter | boolean? = true | No | Whether all promotion channels links except for Twitter should be returned as full URLs. If false, all promotion channels will be shortened. |
Response
Section titled “Response”| Field | Type | Description |
|---|---|---|
promotionChannelsVisibilityPrivacy | string | |
facebook | string | |
twitter | string | |
youtube | string | |
twitch | string |
Errors
Section titled “Errors”| Status | Description |
|---|---|
| 400 | 1: User not found. |
| 401 | 0: Authorization has been denied for this request. |
postPromotionChannels
Section titled “postPromotionChannels”POST /v1/promotion-channels
Update the user’s promotion channels
Usage
import { fetchApi } from 'rozod';import { postPromotionChannels } from 'rozod/lib/endpoints/accountinformationv1';
const data = await fetchApi(postPromotionChannels, { body: { /* ... */ }});Request Body
Section titled “Request Body”| Field | Type | Description |
|---|---|---|
facebook | string | |
twitter | string | |
youtube | string | |
twitch | string | |
promotionChannelsVisibilityPrivacy | string |
Response
Section titled “Response”Type: unknown
Errors
Section titled “Errors”| Status | Description |
|---|---|
| 400 | 2: The request was empty. 11: The Facebook profile url is invalid. 12: The Twitter handle is invalid. 13: The YouTube url is invalid. 14: The Twitch profile url is invalid. |
| 401 | 0: Authorization has been denied for this request. |
| 403 | 0: Token Validation Failed 4: Only users who are over twelve years of age may edit social network channels. |
getStarCodeAffiliates
Section titled “getStarCodeAffiliates”GET /v1/star-code-affiliates
Gets a star code affiliate supporter for the authenticated user
Usage
import { fetchApi } from 'rozod';import { getStarCodeAffiliates } from 'rozod/lib/endpoints/accountinformationv1';
const data = await fetchApi(getStarCodeAffiliates, undefined);Response
Section titled “Response”| Field | Type | Description |
|---|---|---|
userId | number | |
name | string | |
code | string |
Errors
Section titled “Errors”| Status | Description |
|---|---|
| 401 | 0: Authorization has been denied for this request. |
| 500 | 0: An unknown error occured. |
postStarCodeAffiliates
Section titled “postStarCodeAffiliates”POST /v1/star-code-affiliates
Adds a star code affiliate supporter for the authenticated user
Usage
import { fetchApi } from 'rozod';import { postStarCodeAffiliates } from 'rozod/lib/endpoints/accountinformationv1';
const data = await fetchApi(postStarCodeAffiliates, { body: { /* ... */ }});Request Body
Section titled “Request Body”| Field | Type | Description |
|---|---|---|
code | string |
Response
Section titled “Response”| Field | Type | Description |
|---|---|---|
userId | number | |
name | string | |
code | string |
Errors
Section titled “Errors”| Status | Description |
|---|---|
| 400 | 1: The code was invalid. |
| 401 | 0: Authorization has been denied for this request. |
| 403 | 0: Token Validation Failed |
| 500 | 0: An unknown error occured. |
deleteStarCodeAffiliates
Section titled “deleteStarCodeAffiliates”DELETE /v1/star-code-affiliates
Removes the star code affiliate supporter for the authenticated user
Usage
import { fetchApi } from 'rozod';import { deleteStarCodeAffiliates } from 'rozod/lib/endpoints/accountinformationv1';
const data = await fetchApi(deleteStarCodeAffiliates, undefined);Response
Section titled “Response”Type: unknown
Errors
Section titled “Errors”| Status | Description |
|---|---|
| 401 | 0: Authorization has been denied for this request. |
| 403 | 0: Token Validation Failed |
| 500 | 0: An unknown error occured. |
getUsersUseridPromotionChannels
Section titled “getUsersUseridPromotionChannels”GET /v1/users/:userId/promotion-channels
Get promotion channels for a given user ID
Usage
import { fetchApi } from 'rozod';import { getUsersUseridPromotionChannels } from 'rozod/lib/endpoints/accountinformationv1';
const data = await fetchApi(getUsersUseridPromotionChannels, { userId: /* integer */, alwaysReturnUrls: /* boolean? */, filterLink: /* boolean? */});Parameters
Section titled “Parameters”| Name | Type | Required | Description |
|---|---|---|---|
userId | integer | Yes | The ID of the user to fetch the promotion channels for. |
alwaysReturnUrls | boolean? | No | Whether all promotion channel links should be returned as full URLs. |
filterLink | boolean? | No | Whether all promotion channel links should be filtered. |
Response
Section titled “Response”| Field | Type | Description |
|---|---|---|
facebook | string | |
twitter | string | |
youtube | string | |
twitch | string |
Errors
Section titled “Errors”| Status | Description |
|---|---|
| 400 | 1: User not found. |
getUsersUseridRobloxBadges
Section titled “getUsersUseridRobloxBadges”GET /v1/users/:userId/roblox-badges
Returns a list of Roblox badges belonging to a user.
Usage
import { fetchApi } from 'rozod';import { getUsersUseridRobloxBadges } from 'rozod/lib/endpoints/accountinformationv1';
const data = await fetchApi(getUsersUseridRobloxBadges, { userId: /* integer */});Parameters
Section titled “Parameters”| Name | Type | Required | Description |
|---|---|---|---|
userId | integer | Yes |
Response
Section titled “Response”Array of objects:
| Field | Type | Description |
|---|---|---|
id | number | |
name | string | |
description | string | |
imageUrl | string |